package com.bonus.zlpt.company.mapper;

import com.bonus.zlpt.company.api.domain.BmCoBank;
import org.apache.ibatis.annotations.Mapper;

/**
* Description:
* @Author 阮世耀
* @Create 2023/12/2 12:53
* @Version 1.0
*/

@Mapper
public interface BmCoBankMapper {
    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(BmCoBank record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(BmCoBank record);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    BmCoBank selectByPrimaryKey(Integer id);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(BmCoBank record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(BmCoBank record);

    /**
     * 根据企业id查询企业开户行数据
     * @param companyId
     * @return
     */
    BmCoBank selectByCompanyId(Integer companyId);
}